#include <stdio.h>

int main()
{
 int n, jed, des, sto, min, sred, max;
 scanf("%d",&n);
 if(n<100 || n>999)
   printf("-1");
 else
 {
   jed=n%10;
   des=n/10%10;
   sto=n/100;
   min= jed;
   sred=jed;
   max= jed;
   //pronalazenje najmanje cifre
   min= jed<des? jed:des;
   min= min<sto? min:sto;
   //pronalazenje srednje cifre
   if(jed<=des && jed>=sto || (jed>=des && jed<=sto))
     sred=jed;
   else if((des<=jed && des>=sto) || (des<=sto && des>=jed))
     sred=des;   
   else if (sto<=des && sto>=jed|| (sto<=jed && sto>=des))
     sred=sto;
   else
     sred=0;
   //pronalazenje najvece cifre
   max= jed>=des? jed:des;
   max= max>=sto? max:sto;
   //formiranje broja
   n=max+sred*10+min*100;
   printf("%d",n);
 }  
}
